Page MenuHomeFreeBSD

security/linux-c6-pam and security/linux-c6-audit-libs: New ports
ClosedPublic

Authored by arrowd on Oct 15 2018, 8:09 AM.

Details

Summary

These libraries are required to run recent MATLAB under Linuxulator.
I haven't added pkg-plist.i386 files, as I don't have 32-bit VM by hand.

Test Plan

make install and ran MATLAB

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Oct 15 2018, 8:09 AM

Pinged emulation@ review this.

mat added inline comments.Oct 16 2018, 8:41 AM
security/linux-c6-audit-libs/Makefile
10 ↗(On Diff #49152)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

security/linux-c6-pam/Makefile
10 ↗(On Diff #49152)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

arrowd marked an inline comment as done.Oct 19 2018, 10:08 AM
arrowd added inline comments.
security/linux-c6-audit-libs/Makefile
10 ↗(On Diff #49152)

I copied that from existing security/linux-c6-{gnutls,cyrus-sasl2}. Are these wrong too?

You need to hook the new ports into the build via security/Makefile

security/linux-c6-audit-libs/Makefile
10 ↗(On Diff #49152)

Yes :)

arrowd updated this revision to Diff 49679.Oct 27 2018, 11:05 AM
arrowd marked 2 inline comments as done.

Address comments.

arrowd updated this revision to Diff 49680.Oct 27 2018, 11:43 AM

Added new ports to category Makefile.

tcberner requested changes to this revision.Oct 27 2018, 12:29 PM

You can create the i386 plist by using poudriere :)

poudriere jail -c -j104amd32 -ai386...

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: etc/libaudit.conf
Error: Orphaned: usr/lib/libaudit.so.1
Error: Orphaned: usr/lib/libaudit.so.1.0.0
Error: Orphaned: usr/lib/libauparse.so.0
Error: Orphaned: usr/lib/libauparse.so.0.0.0
Error: Orphaned: usr/share/man/man5/libaudit.conf.5.gz

and so on...

Please add that plist too.

This revision now requires changes to proceed.Oct 27 2018, 12:29 PM
arrowd updated this revision to Diff 49683.Oct 27 2018, 1:14 PM

Add pkg-plist's for i386 arch.

security/linux-c6-pam/pkg-plist.amd64
6 ↗(On Diff #49683)

^ I personally don't like subs liek these, that are partial. But I think in that case we might let it go by.

tcberner accepted this revision.Oct 28 2018, 9:13 PM

Looks good to me, once you add the '\n' to the last lines of the pkg-descrs

security/linux-c6-pam/pkg-descr
7 ↗(On Diff #49683)

^ add the new line chars on the last line.

This revision is now accepted and ready to land.Oct 28 2018, 9:13 PM
This revision was automatically updated to reflect the committed changes.